aboutsummaryrefslogtreecommitdiffstats
path: root/testing/nut/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-03-05 08:58:18 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-03-05 08:58:18 +0000
commit939b1f08fd02a92ef332531b13fbf243badb8bd9 (patch)
treea2929ab32b1808a662ca0244d86137b00cdb891f /testing/nut/APKBUILD
parentfe700e6fdc9e67500ea013d4399313e016a6339e (diff)
downloadaports-939b1f08fd02a92ef332531b13fbf243badb8bd9.tar.gz
aports-939b1f08fd02a92ef332531b13fbf243badb8bd9.tar.bz2
aports-939b1f08fd02a92ef332531b13fbf243badb8bd9.tar.xz
testing/nut: fix bcmxcp_usb linking
added -lm linker flag
Diffstat (limited to 'testing/nut/APKBUILD')
-rw-r--r--testing/nut/APKBUILD55
1 files changed, 30 insertions, 25 deletions
diff --git a/testing/nut/APKBUILD b/testing/nut/APKBUILD
index d6929df1a8..0d42d95ff1 100644
--- a/testing/nut/APKBUILD
+++ b/testing/nut/APKBUILD
@@ -2,19 +2,19 @@
# Maintainer: Kozak Ivan <kozak-iv@yandex.ru>
pkgname=nut
pkgver=2.7.1
-pkgrel=0
+pkgrel=1
pkgdesc="Network UPS tools - server"
url="http://www.networkupstools.org"
arch="all"
license="GPL"
-depends_dev="libusb-compat-dev net-snmp-dev neon-dev libtool"
+depends_dev="libusb-compat-dev net-snmp-dev neon-dev libtool autoconf automake"
makedepends="$depends_dev"
pkgusers="nut"
pkggroups="nut"
install="$pkgname.pre-install"
subpackages="$pkgname-doc $pkgname-dev"
source="http://www.networkupstools.org/source/2.7/$pkgname-$pkgver.tar.gz
- bcmxcp.patch
+ libm.patch
nut-upsd.initd
nut-upsd.confd
nut-upsmon.initd
@@ -26,38 +26,43 @@ _builddir="$srcdir"/$pkgname-$pkgver
prepare() {
local i
- cd "$srcdir"
+ cd "$_builddir"
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
+ libtoolize --force && aclocal -I m4 && autoconf \
+ && automake --add-missing
}
build() {
cd "$_builddir"
- ./configure --without-wrap \
- --with-user=nut \
- --with-group=nut \
- --disable-static \
- --with-serial \
- --with-usb \
- --without-avahi \
- --with-snmp \
- --with-neon \
- --without-powerman \
- --without-ipmi \
- --without-freeipmi \
- --with-libltdl \
- --without-cgi \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
--prefix=/usr \
+ --without-wrap \
+ --with-user=nut \
+ --with-group=nut \
+ --disable-static \
+ --with-serial \
+ --with-usb \
+ --without-avahi \
+ --with-snmp \
+ --with-neon \
+ --without-powerman \
+ --without-ipmi \
+ --without-freeipmi \
+ --with-libltdl \
+ --without-cgi \
--with-drvpath=/usr/libexec/nut \
- --datadir=/usr/share/nut \
- --sysconfdir=/etc/nut \
+ --datadir=/usr/share/nut \
+ --sysconfdir=/etc/nut \
--with-statepath=/var/run/nut \
--with-altpidpath=/var/run/nut \
- --with-openssl
-
+ --with-openssl \
+ || return 1
make || return 1
}
@@ -80,19 +85,19 @@ package() {
}
md5sums="e64cf832063ecd6645683fc2ac2bd564 nut-2.7.1.tar.gz
-e32d263cac299d26c8109053d22dfdcf bcmxcp.patch
+f12613b6d043092c0c66c646702674d8 libm.patch
e981e4ff27c0fc455ad2f319cbf29c36 nut-upsd.initd
6b068c71884f8d66b5b7395b4a14d821 nut-upsd.confd
21f6121acfeb17d51376bb0d11518804 nut-upsmon.initd
6b068c71884f8d66b5b7395b4a14d821 nut-upsmon.confd"
sha256sums="71a6d73ad6d910808126ba7f217ec1142a0c6709c63a22a099e7338960b2c798 nut-2.7.1.tar.gz
-60c9b0b3cea00887f4d7e9e3ebc2644617bb511b4601bbae0b0473b9db5dcd90 bcmxcp.patch
+bb12164d2cfe560fa505435d98681b80a22f0a6bf819dde83ad4e638c2abc111 libm.patch
afb6878a67a6effc9199b24dbcc4be20a799abbd370d8ebcfe09d05bb1ba11d6 nut-upsd.initd
8ee7ff65c3ef84bb1bc0b458ff5b574bb8a6ac656a6d3a40441185b352481dda nut-upsd.confd
0dfbc87ff6bb6c66132ecf4d7d09710ba34343e7cf42733484fa2df77b9be4cb nut-upsmon.initd
8ee7ff65c3ef84bb1bc0b458ff5b574bb8a6ac656a6d3a40441185b352481dda nut-upsmon.confd"
sha512sums="087c63b12f44c1b0caf8ffb2c5fda213a1b2060bdc284bd7fdff38a58f190c513790438388a4ceda8772938ae56ac84ca8635666ad89f067bec4d818252158ae nut-2.7.1.tar.gz
-9b43a749c7ace6a908bf0c4a23c04411ca755b872c80ad8c2d9be24ac6669978b969c2a8aa1bb0b23a1c53e912ca7ec2e315fc7e4ce301ac9b4aac41f573dfed bcmxcp.patch
+091e9529a1432e7a011c2ced8a7ca50568524823e3c1bb8d023f4501fe4c337e4b909e978aedc9cb2b68be6c690e3300f0d2a839c4765c39e7618d6767c2468a libm.patch
a0a205805a7cd7bc70163d9b50e51f16e74af22a799f74b1155430ca65090d64af972070d04759e4ac8e83e088bcbc531d9e9abd38482f74a885965ff0dc0ed8 nut-upsd.initd
cf93ce44cb6fcf980f48f77abeeabb8d0b4008e8258cf7085d68b2a9c5c10c818dbf0030630218fcf8d9c9aba43c06bda28f91efca9cc783438ec0192f10eb5d nut-upsd.confd
aa6efe85e874ada8b4cea0581bca6b8c24fa336fe1b197925519041f55b21d77683c31e2d8304fb45062cb52a55d44682981fcd22c7db0d2f8adf7e866324efe nut-upsmon.initd